function [ all, c, ax, vx ] = PMCC_pokus_1(xxx)

   [samples,sr] = wavread(xxx);

win = 400; 
hopfactor = 0.4;
p = 60;

samples = filter([1 -0.97], 1, samples);

hop = win*hopfactor;
Z = buffer(samples,win,win-hop);
Q = size(Z,2);
hamming_okno = hamming(win);
oknovane_ramce_all = [];
for q = 1:Q
    wind = Z(:,q);
    oknovane_ramce = hamming_okno.*wind;
    oknovane_ramce_all = [oknovane_ramce_all oknovane_ramce];
end
Sa_all = [];
Sp_all = [];
Sb_all = [];
L = size(oknovane_ramce_all,2);
for i = 1:L,
    ramec_MVDR = oknovane_ramce_all(:,i);
    [Sa,Sb,Sp] = pmvdr_MVDR(ramec_MVDR,p);
    Sa_all = [Sa_all Sa];
Sp_all = [Sp_all Sp];
Sb_all = [Sb_all Sb];    
end

y = log(Sb_all);

X = audspec_MVDR(y, sr);

c = dct(X);

nbands = size(c,1);

c(14:nbands, :) = [];

for i = 1 : 13
           c(i, : ) = c(i, : ) - mean(c(i, : ));
end

c=c';

nf=size(c,1);
nc=13;

  vf=(4:-1:-4)/60;
  af=(1:-1:-1)/2;
  ww=ones(5,1);
  cx=[c(ww,:); c; c(nf*ww,:)];
  vx=reshape(filter(vf,1,cx(:)),nf+10,nc);
  vx(1:8,:)=[];
  ax=reshape(filter(af,1,vx(:)),nf+2,nc);
  ax(1:2,:)=[];
  vx([1 nf+2],:)=[];  
  all=[c vx ax];
  
  c=c';
  ax=ax';
  vx=vx';
  all=all';
  
 subplot(411)
   
 c_idct       = idct(c, 24);

 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));

 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;

 image(far_skala_2 * c_idct + far_skala_1);
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

end
